/*Author: Carolin Schulz*/
/*Student ID: 22178163*/


/*****************************************************************/

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 100px;
    background: url('./../images/evgeny-tchebotarev-aiwuLjLPFnU-unsplash.jpg') center #000 no-repeat;
    background-size: cover;
    height: 400px;
    padding: 20px;
    color: white;
}

.container {
    transition: filter 0.3s;
    margin-bottom: 0;
}

.container:hover {
    filter: brightness(70%)
}

.container {
    display: flex;
    align-items: center;
}

.centered{
    color: white;
    top: 260px;
    text-align: center;
}

.newsletter_grid {
    background-color: black;
    color: rgb(200, 200, 200);
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    font-size: 22px;
    margin-bottom: 200px;
}

.news {
    text-align: center;
    font-weight: bold;
    justify-content: center;
}

.ad {
    border-left: rgb(200, 200, 200) 1px solid;
    padding-left: 30px;
    vertical-align: middle;
}

.news_button {
    background-color: black;
	color: rgb(200, 200, 200);
	border: 1px solid rgb(200, 200, 200);
    font-family: 'Montserrat', 'serif';
    transition: background-color 0.15s, color 0.15s, opacity 0.15s;
	margin-top: 25px;
}

.news_button:hover {
    background-color: white;
	color: black;
	cursor: pointer;
}

.stock_header {
    text-align: center;
    font-size: 50px;
    font-weight: lighter;
    margin-bottom: 100px;
}

.middle_align {
    display: flex;
    justify-content: center;
}

.filter_flex {
    border-radius: 40px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.2);
    transition: all 0.4s;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-left: 100px;
    margin-right: 100px;
    padding-left: 20px;
    padding-right: 20px;
    height: 70px;
    margin-bottom: 70px;
}

.filter_flex:hover {
    box-shadow: 0px 0px 40px rgba(0,0,0,0.3);
}

.price,
.motor,
.gearbox,
.make,
.model,
.previous_owner,
.color {
    font-size: 20px;
    font-family: 'Montserrat';
    border: none;
}

.motor,
.gearbox,
.make,
.model,
.previous_owner,
.color {
    margin-right: 30px;
}

.price {
    padding-right: 20px;
}

.price_elem {
    font-size: 20px;
    display: inline;
}

.motor {
    border-left: 1px black solid;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 23px;
}

.price_spectrum, .apply_button {
    font-size: 20px;
    font-family: 'Montserrat';
}


.apply_button {
    background-color: rgb(222, 222, 222);
    border: rgb(222, 222, 222) 1px solid;
    border-radius: 30px;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 20px;
    padding-left: 20px;
    transition: all 0.3s;
}

.apply_button:hover {
    background-color: rgb(194, 194, 194);
    cursor: pointer;
    border-color: rgb(194, 194, 194);
}

.match_flex {
    display: flex;
    justify-content: space-between;
    margin-right: 100px;
    margin-left: 100px;
    margin-bottom: 10px;
}

.match_count {
    font-size: 30px;
    margin-bottom: 0;
    white-space: nowrap;
    vertical-align: bottom;
}

.match_order_content {
    padding-top: 40px;
    margin-bottom: 0;
    white-space: nowrap;
}
.match_order {
    border: none;
    font-family: 'Montserrat';
    font-size: 20px;
    color: grey;
}

hr {
    margin-right: 100px;
    margin-left: 100px;
    margin-top: 0;
    margin-bottom: 100px;
}

/************************************************
STOCK GRID
************************************************/

.stock-grid {
    display: grid;
    grid-template-columns: 400px 400px 400px;
    column-gap: 140px;
    row-gap: 140px;
    margin-left: 100px;
    margin-right: 100px;
    margin-bottom: 200px;
}

.cars {
    width: 400px;
    height: 610px;
    box-shadow: 0px 0px 20px rgba(0,0,0,0.3);
    transition: box-shadow 0.3s;
}

.cars:hover {
    cursor: pointer;
    box-shadow: 0px 0px 40px rgba(0,0,0,0.35);
}

.image, .car-img {
    width: 400px;
    height: 400px;
    object-fit: cover;
}

.car_info {
    margin-left: 15px;
}


.car-img {
    margin-bottom: 10px;
}

.car-name {
    font-size: 30px;
    font-weight: bold;
}

.general_info {
    font-size: 18px;
    margin-bottom: 10px;
}

.car-features {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 10px;
    column-gap: 40px;
    vertical-align: middle;
}

.car-features-flex {
    display: flex;
    flex-direction: row;
    justify-content: left;
    column-gap: 20px;
}

.feature {
    text-align: center;
    background-color: rgb(222, 222, 222);
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    border-radius: 30px;
    transition: background-color 0.4s;
}

.feature:hover {
    background-color: rgb(189, 189, 189);
}

/*******************************************/
.career_ad {
    display: flex;
    align-items: center;
    justify-content: center;
    background: url('./../images/christina-wocintechchat-com-swi1DGRCshQ-unsplash.jpg') center #000 no-repeat;
    background-size: cover;
    height: 160px;
    padding: 20px;
    color: white;
    transition: filter 0.3s;
    
}

.career_ad:hover {
    filter: brightness(80%);
    cursor: pointer;
}

.centered{
    color: white;
    top: 260px;
    text-align: center;
}

